package com.company;


/**
 * a class for storing a vote and its information
 */
public class Vote {
    Person person;
    String date;

    /**
     * constructor for vote class
     * @param person the voter
     * @param date the date when the person submitted his vote
     */
    public Vote(Person person,String date){
        this.person = person;
        this.date = date;
    }


    public Person getPerson() {
        return person;
    }


    public String getDate() {
        return date;
    }

    /**
     * prints vote date and the voters information
     */
    public void print(){
        System.out.println("Voter : " + person.getFirstName() + " " + person.getLastName() + " Date : " + date);
    }


    @Override
    public boolean equals(Object o){
        if(this == o)return true;
        if(!(o instanceof Vote))return false;
        return this.person.equals(((Vote) o).person) && this.date.equals(((Vote) o).date);
    }


    @Override
    public int hashCode(){
        int result = 17;
        result += 37 * person.getFirstName().hashCode();
        result += 37 *person.getLastName().hashCode();
        result += 37 *date.hashCode();
        return  result;
    }
}
